Bug 1371283 - Server Side Sorting crashes the server.
Summary: Server Side Sorting crashes the server.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-29 19:38 UTC by Noriko Hosoi
Modified: 2016-11-03 20:45 UTC (History)
5 users (show)

Fixed In Version: 389-ds-base-1.3.5.10-9.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1371706 (view as bug list)
Environment:
Last Closed: 2016-11-03 20:45:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2594 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2016-11-03 12:11:08 UTC

Description Noriko Hosoi 2016-08-29 19:38:23 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/48970

Valgrind output against this command line is attached.

$ ldapsearch [...] -b "dc=example,dc=com" -E sss=title:2.16.840.1.113730.3.3.2.28.1.6 '(title=*)' title

Note: the title is indexed with a locale 2.16.840.1.113730.3.3.2.28.1, which may or may not be a condition to cause this error.
dn: cn=title,cn=index,cn=userRoot,cn=ldbm database,cn=plugins,cn=config
objectClass: top
objectClass: nsIndex
cn: title
nsSystemIndex: false
nsIndexType: pres
nsIndexType: eq
nsIndexType: sub
nsMatchingRule: 2.16.840.1.113730.3.3.2.28.1

Comment 1 mreynolds 2016-08-30 18:40:21 UTC
Fixed upstream

Comment 3 Viktor Ashirov 2016-09-05 19:01:31 UTC
Build tested: 389-ds-base-1.3.5.10-10.el7.x86_64

[1] Added index
dn: cn=title,cn=index,cn=userRoot,cn=ldbm database,cn=plugins,cn=config
objectClass: top
objectClass: nsIndex
cn: title
nsSystemIndex: false
nsIndexType: pres
nsIndexType: eq
nsIndexType: sub
nsMatchingRule: 2.16.840.1.113730.3.3.2.28.1

[2] Added test entries with title attribute
[3] ldapsearch doesn't crash the server:
# ldapsearch -xLLL -D "cn=Directory Manager" -w Secret123 -b dc=example,dc=com  -E sss=title:2.16.840.1.113730.3.3.2.28.1.6 '(title=*)' title 
dn: cn=test2,ou=People,dc=example,dc=com
title: test2

dn: cn=test,ou=People,dc=example,dc=com
title: test

# sortResult: (0) Success


Marking as VERIFIED.

Comment 5 errata-xmlrpc 2016-11-03 20:45:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2594.html


Note You need to log in before you can comment on or make changes to this bug.